Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.concurrent
Class TimedCallableImpl

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
          org.jboss.aspects.asynchronous.concurrent.TimedCallableImpl

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.Callable, ProcessingTime

public class TimedCallableImpl
extends EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
implements EDU.oswego.cs.dl.util.concurrent.Callable, ProcessingTime

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Nested Class Summary

Nested classes inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser.DefaultThreadFactory`

Field Summary

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`threadFactory_`

Constructor Summary
`TimedCallableImpl(org.jboss.aspects.asynchronous.concurrent.AdapterTask function, long millis)`

Method Summary
`Object` | `call()`
`long` | `getEndingTime()`
`long` | `getStartingTime()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`getThreadFactory, setThreadFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedCallableImpl

    public TimedCallableImpl(org.jboss.aspects.asynchronous.concurrent.AdapterTask function,
                             long millis)

Method Detail

### call

    public Object call()
                throws Exception

  Specified by:
    `call` in interface `EDU.oswego.cs.dl.util.concurrent.Callable`
  Throws:
    `Exception`

### getEndingTime

    public long getEndingTime()

  Specified by:
    `getEndingTime` in interface `ProcessingTime`

### getStartingTime

    public long getStartingTime()

  Specified by:
    `getStartingTime` in interface `ProcessingTime`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.